const path = require('path');
const webpack = require('webpack');

const production = !!process.env.NODE_ENV;

module.exports = {
  entry: {
    'vue-selectric.js': './src/index.js',
    'vue-selectric.min.js': './src/index.js',
  },
  output: {
    filename: '[name]',
    path: path.resolve(__dirname, './dist'),
    publicPath: '/dist/',
    library: ['vue-selectric'],
    libraryTarget: 'umd',
  },
  externals: {
    jquery: 'jQuery',
  },
  cache: true,
  devtool: production ? false : 'eval',
  module: {
    rules: [{
      test: /\.js$/,
      exclude: /node_modules/,
      use: {
        loader: 'babel-loader',
        options: {
          presets: ['env'],
        },
      },
    },
    {
      test: /\.css$/,
      loaders: ['style-loader', 'css-loader'],
    },
    {
      test: /\.vue$/,
      use: {
        loader: 'vue-loader',
      },
    }],
  },
  plugins: production ? [
    new webpack.optimize.UglifyJsPlugin({
      include: /\.min\.js$/,
      minimize: true,
    }),
  ] : [],
};
